package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxSpecCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxSpecDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxSpecUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxSpecListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxSpecPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxSpecShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.BoxSpec;

import java.util.List;

/**
 * @author shenyifei
 */
public interface BoxSpecGateway {
    BoxSpec save(BoxSpecCreateCmd boxSpecCreateCmd);

    IPage<BoxSpec> page(BoxSpecPageQry boxSpecPageQry);

    List<BoxSpec> list(BoxSpecListQry boxSpecListQry);

    BoxSpec update(BoxSpecUpdateCmd boxSpecUpdateCmd);

    BoxSpec show(BoxSpecShowQry boxSpecShowQry);

    void destroy(BoxSpecDestroyCmd boxSpecDestroyCmd);
}

